/*
** Program fdb - family tree database generation and manipulation
**
** Copyright (C) 1994 Andy Burrows 
**
**            email: cadellin@corum.me.man.ac.uk (130.88.29.14)
**
** This program is free software; you can redistribute it and/or modify it
** under the terms of the GNU General Public Licence as published by the Free
** Software Foundation; either version 1, or any later version.
** 
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
** or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
** more details. It should be included in this distribution in a file 
** called COPYING
**
*/


/*
   this file contains the callback functions for the sliders 
*/

/*#define DEBUG */

/* standard headers */

#include <stdio.h>

/* XView headers */

#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/font.h>

/* fdb database definitions */

#include "definitions.h"

/*
    set the minimum text width (the "horizontal spacing factor")
*/

void  set_min_text_width(item, value, event)
Panel_item   item;
int          value;
Event       *event;
{
min_text_width = value;
}

/*
    set the maximum number of generations for a descent line plot
*/

void  depth_gen_chosen(item, value, event)
Panel_item   item;
int          value;
Event       *event;
{
max_gen_generations = value;
}

/*
    set the maximum number of generations for a descendants tree plot
*/

void  depth_des_chosen(item, value, event)
Panel_item   item;
int          value;
Event       *event;
{
max_des_generations = value;
}

